import axios from 'axios'
import { INIT_SALE_URL, CREATE_CUSTOMER_URL, PROCESS_SALE_URL } from '@/constants/resourcePaths'

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    notify({ commit }, payload) {
        openerp.web.notification.do_warn('Atención', payload)
        return false
    },
    /**
     * 
     * @param {*} param0 
     */
    initSale({ dispatch }) {
        return axios.get(INIT_SALE_URL).then(response => {
            dispatch('explodeData', response.data)
        }).catch(error => {
            console.log(error)
        })
    },
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    explodeData({ dispatch }, payload) {
        for (let value in payload) {
            console.log(value)
        }
    },
    /**
     * 
     * @param {*} param0 
     */
    createSale({ getters , dispatch }) {

    }
}

export default actions